// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlPriorityBox")]
    pub struct PriorityBox(Object<ffi::DzlPriorityBox, ffi::DzlPriorityBoxClass>) @extends gtk::Box, gtk::Container, gtk::Widget, @implements gtk::Buildable, gtk::Orientable;

    match fn {
        type_ => || ffi::dzl_priority_box_get_type(),
    }
}

impl PriorityBox {
    pub const NONE: Option<&'static PriorityBox> = None;

    #[doc(alias = "dzl_priority_box_new")]
    pub fn new() -> PriorityBox {
        assert_initialized_main_thread!();
        unsafe { gtk::Widget::from_glib_none(ffi::dzl_priority_box_new()).unsafe_cast() }
    }
}

impl Default for PriorityBox {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for PriorityBox {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("PriorityBox")
    }
}
